commit:     62312eb0e09f165e61e0c7c52ab4944fccf894c3
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  6 14:28:37 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Nov  6 16:22:23 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62312eb0

dev-python/pyscaffold: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pyscaffold/Manifest                |  1 +
 dev-python/pyscaffold/pyscaffold-2.4.4.ebuild | 58 +++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/pyscaffold/Manifest b/dev-python/pyscaffold/Manifest
index a69c512..7cbed6a 100644
--- a/dev-python/pyscaffold/Manifest
+++ b/dev-python/pyscaffold/Manifest
@@ -1 +1,2 @@
 DIST pyscaffold-2.4.1.tar.gz 108670 SHA256 
bb91c4682c712b6a446d2b3b53dd27d0b8f2fb2050995e1b7f16aa8d6ec391c2 SHA512 
ec5b5cf842b62f1989741bde84bf5ef5940583379e2b93672e95444a40685ae020286f40d47c31a4382f2c892dd17270349942f1544207036ff4e99a29e9e76d
 WHIRLPOOL 
d0ae0d1d69beaa21902f9f69ac1432734c11e15ff3c5d428602793f0ce4b2a53376a00c4f52004fb3f49da06bbd112f6ed72100fee7bdcfee26e7e23c54ec8af
+DIST pyscaffold-2.4.4.tar.gz 110337 SHA256 
5c817ab302dc6ec82d418750b52f87de3c4b9af1d8c8be3dfa7d0210790d601e SHA512 
840d205a84528410674e898d6f32a57d3e89edf71e4773a4aae38a4f1fdd883129f6f7be437c2d07fe89b58152a3b250f4a9a7125d1a6d9461673a7f22094d70
 WHIRLPOOL 
4e9efe5cde6f7a058e2306efb1718fd07be2b93676c834d1363a363058b1676cd8cb84faf309bb23b0e2680159b2dbc3e58918dc86a706f46b6a461771a48119

diff --git a/dev-python/pyscaffold/pyscaffold-2.4.4.ebuild 
b/dev-python/pyscaffold/pyscaffold-2.4.4.ebuild
new file mode 100644
index 0000000..4200639
--- /dev/null
+++ b/dev-python/pyscaffold/pyscaffold-2.4.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
+inherit distutils-r1
+
+MY_PN="PyScaffold"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Tool for easily putting up the scaffold of a Python project"
+HOMEPAGE="https://pypi.python.org/pypi/PyScaffold 
http://pyscaffold.readthedocs.org/";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       >=dev-python/pbr-1.6[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-1.7[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       sed \
+               -e 's: + pytest_runner::g' \
+               -i setup.py || die
+
+       # Creates all sort of mem problem due to fetch restrictions
+       rm tests/test_install.py || die
+
+       # Online tests
+       sed \
+               -e 's:test_api_with_cookiecutter:_&:g' \
+               -e 's:test_pyscaffold_keyword:_&:g' \
+               -i tests/*py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       git config --global user.email "[email protected]"
+       git config --global user.name "Your Name"
+
+       TRAVIS=False py.test -v -v || die
+}

Reply via email to